org.apache.ode.bpel.compiler.wsdl

## Class BpelExtensionSerializer

- java.lang.Object
- - org.apache.ode.bpel.compiler.wsdl.BpelExtensionSerializer

- All Implemented Interfaces:
    javax.wsdl.extensions.ExtensionDeserializer, javax.wsdl.extensions.ExtensionSerializer

      public class BpelExtensionSerializer
      extends java.lang.Object
      implements javax.wsdl.extensions.ExtensionDeserializer, javax.wsdl.extensions.ExtensionSerializer

  BPEL extension (partnerLinkType/propertyAlias) serializer for WSDL4J.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Messages` | `__msgs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BpelExtensionSerializer(BpelObjectFactory factory)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static javax.xml.namespace.QName` | `derefQName(java.lang.String prefixedQNameStr, org.w3c.dom.Element context)` Dereference a qualified name given in the "ns:name" form using the namespace context of a given element.
    `protected java.lang.String` | `getAttribute(org.w3c.dom.Element element, java.lang.String attributeName)`
    `void` | `marshall(java.lang.Class arg0, javax.xml.namespace.QName arg1, javax.wsdl.extensions.ExtensibilityElement arg2, java.io.PrintWriter arg3, javax.wsdl.Definition arg4, javax.wsdl.extensions.ExtensionRegistry arg5)`
    `javax.wsdl.extensions.ExtensibilityElement` | `unmarshall(java.lang.Class clsType, javax.xml.namespace.QName eltype, org.w3c.dom.Element el, javax.wsdl.Definition def, javax.wsdl.extensions.ExtensionRegistry extReg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __msgs

          protected static final Messages __msgs

  - ### Constructor Detail

    - #### BpelExtensionSerializer

          public BpelExtensionSerializer(BpelObjectFactory factory)

  - ### Method Detail

    - #### marshall

          public void marshall(java.lang.Class arg0,
                               javax.xml.namespace.QName arg1,
                               javax.wsdl.extensions.ExtensibilityElement arg2,
                               java.io.PrintWriter arg3,
                               javax.wsdl.Definition arg4,
                               javax.wsdl.extensions.ExtensionRegistry arg5)
                        throws javax.wsdl.WSDLException

      Specified by:
        `marshall` in interface `javax.wsdl.extensions.ExtensionSerializer`
      Throws:
        `javax.wsdl.WSDLException`
      See Also:
        `ExtensionSerializer.marshall(java.lang.Class, javax.xml.namespace.QName, javax.wsdl.extensions.ExtensibilityElement, java.io.PrintWriter, javax.wsdl.Definition, javax.wsdl.extensions.ExtensionRegistry)`

    - #### unmarshall

          public javax.wsdl.extensions.ExtensibilityElement unmarshall(java.lang.Class clsType,
                                                                       javax.xml.namespace.QName eltype,
                                                                       org.w3c.dom.Element el,
                                                                       javax.wsdl.Definition def,
                                                                       javax.wsdl.extensions.ExtensionRegistry extReg)
                                                                throws javax.wsdl.WSDLException

      Specified by:
        `unmarshall` in interface `javax.wsdl.extensions.ExtensionDeserializer`
      Throws:
        `javax.wsdl.WSDLException`
      See Also:
        `ExtensionDeserializer.unmarshall(java.lang.Class, javax.xml.namespace.QName, org.w3c.dom.Element, javax.wsdl.Definition, javax.wsdl.extensions.ExtensionRegistry)`

    - #### derefQName

          protected static javax.xml.namespace.QName derefQName(java.lang.String prefixedQNameStr,
                                                                org.w3c.dom.Element context)
                                                         throws javax.wsdl.WSDLException

      Dereference a qualified name given in the "ns:name" form using the namespace context of a given element.
      Parameters:
        `prefixedQNameStr` - qualified name, represented as a prefixed string
        `context` - context element
      Returns:
        a resolved `QName`
      Throws:
        `javax.wsdl.WSDLException` - in case of resolution error (e.g. undefined prefix)

    - #### getAttribute

          protected java.lang.String getAttribute(org.w3c.dom.Element element,
                                                  java.lang.String attributeName)